Page MenuHomePhabricator

Tickets with no event date are being in unuseful order
Closed, ResolvedPublic

Description

None orders as the newest possible date, it should be the oldest.

Details

Related Gerrit Patches:

Event Timeline

Urbanecm created this task.Jun 8 2018, 8:04 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 8 2018, 8:04 PM
Urbanecm triaged this task as High priority.Jun 8 2018, 8:05 PM
Urbanecm lowered the priority of this task from High to Medium.
Urbanecm updated the task description. (Show Details)
Urbanecm moved this task from Inbox to Working on on the WMCZ-Tracker board.
Vvjjkkii renamed this task from Tickets with no event date are being in unuseful order to bdbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from bdbaaaaaaa to Tickets with no event date are being in unuseful order.Jul 2 2018, 1:53 PM
CommunityTechBot assigned this task to Urbanecm.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
Urbanecm moved this task from Backlog to Later on the User-Urbanecm board.Jul 26 2018, 2:41 PM
Urbanecm removed Urbanecm as the assignee of this task.Sep 28 2018, 8:13 PM
Urbanecm moved this task from Working on to Inbox on the WMCZ-Tracker board.
Urbanecm moved this task from Later to GCI on the User-Urbanecm board.Nov 15 2018, 3:31 PM
Urbanecm moved this task from Inbox to GCI on the WMCZ-Tracker board.

@Shreyasminocha are you still working on this? I can see the task for this in my GCI interface (https://codein.withgoogle.com/tasks/4984021353234432/?sp-organization=4956074911203328&sp-search=python). I'm afraid if someone would claim it and you still working in this task

Change 475458 had a related patch set uploaded (by Nathan fraignt; owner: Nathan fraignt):
[wikimedia-cz/tracker@master] Fix order by event-date: "None" is now the oldest

https://gerrit.wikimedia.org/r/475458

Shreyasminocha removed Shreyasminocha as the assignee of this task.Nov 24 2018, 6:18 AM
Shreyasminocha added a subscriber: Shreyasminocha.

@rafidaslam sincere apologies for not un-claiming it here after abandoning it on the GCI interface.

Sorry, I did claim it on GCI (after Shreyaminocha abandonded it), but did not claim it here.

Change 475458 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Fix order by event-date: "None" is now the oldest

https://gerrit.wikimedia.org/r/475458

Urbanecm closed this task as Resolved.Nov 24 2018, 10:12 AM

Change 476836 had a related patch set uploaded (by Shreyasminocha; owner: Shreyasminocha):
[wikimedia-cz/tracker@master] Simplify return value for custom order functions

https://gerrit.wikimedia.org/r/476836

Shreyasminocha added a comment.EditedNov 30 2018, 12:25 PM

@Nathan_fraignt the return value of the custom order functions can be rewritten as a simple subtraction because Array.sort's comparison function expects a positive integer (rather than only +1) if a > b, and similarly for a < b. Just FYI :)

@Shreyasminocha Could be. I had never used it before and this is what a working example used.

@Nathan_fraignt was just letting you know :)

Change 476836 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Simplify return value for custom order functions

https://gerrit.wikimedia.org/r/476836

Change 478472 had a related patch set uploaded (by Nathan fraignt; owner: Nathan fraignt):
[wikimedia-cz/tracker@master] Fix sorting of dates and (pre)expeditures on ticket tables

https://gerrit.wikimedia.org/r/478472

Change 478472 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Fix sorting of dates, (pre)expeditures and wages on all tables

https://gerrit.wikimedia.org/r/478472